Results 1 to 7 of 7

Thread: VirtualBox upgrade on SuSE 11.0

  1. #1
    aruzsi NNTP User

    Default VirtualBox upgrade on SuSE 11.0


    Hi,

    I want to upgrade the default VBox 1.5.6 to the latest one.
    I downloaded the rpm from virtualbox home page.
    (VirtualBox-2.0.6_39765_openSUSE11-1.i586.rpm)

    I don't know what do I have to do.
    After rpm -Uvh *.rpm I got many conflicts with the present version.

    And what about these rpms?
    xorg-x11-driver-virtualbox-ose-1.5.6-33.1
    virtualbox-ose-kmp-pae-1.5.6_2.6.25.5_1.1-33.1
    virtualbox-ose-kmp-default-1.5.6_2.6.25.5_1.1-33.1
    virtualbox-ose-guest-tools-1.5.6-33.1

    My kernel is newer:
    kernel-pae-2.6.25.18-0.2

    I know -kmp-* consists of kernel modules. And the two others?

    TIA,


    --
    aruzsi
    ------------------------------------------------------------------------
    aruzsi's Profile: http://forums.opensuse.org/member.php?userid=16601
    View this thread: http://forums.opensuse.org/showthread.php?t=401240


  2. #2
    ken yap NNTP User

    Default Re: VirtualBox upgrade on SuSE 11.0


    Remove the old OSE RPM completely (but don't remove the VDIs or XML VM
    description files) and install the PUEL version from scratch. You'll
    also need to install other packages to compile the vboxdrv module. See
    another thread for the link to the howto at the OpenSUSE Wiki.


    --
    ken_yap
    ------------------------------------------------------------------------
    ken_yap's Profile: http://forums.opensuse.org/member.php?userid=221
    View this thread: http://forums.opensuse.org/showthread.php?t=401240


  3. #3
    aruzsi NNTP User

    Default Re: VirtualBox upgrade on SuSE 11.0


    Thanks for your information!
    I setup SuSE repository for VirtualBox and I upgraded my VBox with
    Yast.


    --
    aruzsi
    ------------------------------------------------------------------------
    aruzsi's Profile: http://forums.opensuse.org/member.php?userid=16601
    View this thread: http://forums.opensuse.org/showthread.php?t=401240


  4. #4
    ken yap NNTP User

    Default Re: VirtualBox upgrade on SuSE 11.0


    Just be aware that's the OSE version and that one needs to be updated
    whenever the kernel is updated. Whereas the PUEL version needs to be
    recompiled whenever the kernel is updated. I wish vboxdrv didn't depend
    on the kernel version, but there you go.


    --
    ken_yap
    ------------------------------------------------------------------------
    ken_yap's Profile: http://forums.opensuse.org/member.php?userid=221
    View this thread: http://forums.opensuse.org/showthread.php?t=401240


  5. #5
    aruzsi NNTP User

    Default Re: VirtualBox upgrade on SuSE 11.0


    Yes, my version OSE.
    What is PUEL version? I've never heard about it.

    BTW: What do I have to do if I want to use the rpm of SUN?


    --
    aruzsi
    ------------------------------------------------------------------------
    aruzsi's Profile: http://forums.opensuse.org/member.php?userid=16601
    View this thread: http://forums.opensuse.org/showthread.php?t=401240


  6. #6
    ken yap NNTP User

    Default Re: VirtualBox upgrade on SuSE 11.0


    The PUEL version is the one from Sun. PUEL = Personal Use and Evaluation
    License. It has a few proprietary features so is not Open Source
    Edition. See the VirtualBox site for an explanation. Go back to post #2
    for how to install the PUEL version. If you don't need the extra
    features, be happy with OSE.


    --
    ken_yap
    ------------------------------------------------------------------------
    ken_yap's Profile: http://forums.opensuse.org/member.php?userid=221
    View this thread: http://forums.opensuse.org/showthread.php?t=401240


  7. #7
    aruzsi NNTP User

    Default Re: VirtualBox upgrade on SuSE 11.0


    Thanks for the explanation!


    --
    aruzsi
    ------------------------------------------------------------------------
    aruzsi's Profile: http://forums.opensuse.org/member.php?userid=16601
    View this thread: http://forums.opensuse.org/showthread.php?t=401240


Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •